<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.ddf.EscherRecordFactory (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.ddf.EscherRecordFactory (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
               title="interface in org.apache.poi.ddf">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ddf/class-use/EscherRecordFactory.html" target="_top">Frames</a>
        </li>
        <li><a href="EscherRecordFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.ddf.EscherRecordFactory" class="title">Uses of Interface<br>org.apache.poi.ddf.EscherRecordFactory
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                                    title="interface in org.apache.poi.ddf">EscherRecordFactory</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ddf">org.apache.poi.ddf</a></td>
                    <td class="colLast">
                        <div class="block">This package contains classes for decoding the Microsoft Office
                            Drawing format otherwise known as escher henceforth known in POI
                            as the Dreadful Drawing Format.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.record">org.apache.poi.hslf.record</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.ddf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a> in <a
                            href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> that implement <a
                                href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                title="interface in org.apache.poi.ddf">EscherRecordFactory</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/DefaultEscherRecordFactory.html"
                                    title="class in org.apache.poi.ddf">DefaultEscherRecordFactory</a></span></code>
                                <div class="block">Generates escher records when provided the byte array containing
                                    those records.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                title="interface in org.apache.poi.ddf">EscherRecordFactory</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html#fillFields-byte:A-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;f)</code>
                                <div class="block">Delegates to fillFields(byte[], int, EscherRecordFactory)</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractEscherOptRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/AbstractEscherOptRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">EscherSplitMenuColorsRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherSplitMenuColorsRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherDgRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherDgRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherMetafileBlip.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherMetafileBlip.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherContainerRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;pOffset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherSpgrRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherSpgrRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherDggRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherDggRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherBlipRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherBlipRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">UnknownEscherRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/UnknownEscherRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherClientDataRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherClientDataRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherTextboxRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherTextboxRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherChildAnchorRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherChildAnchorRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherClientAnchorRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherClientAnchorRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherBitmapBlip.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherBitmapBlip.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherPictBlip.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherPictBlip.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherBSERecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherBSERecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>abstract int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>
                                <div class="block">The contract of this method is to deserialize an escher record
                                    including
                                    it's children.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherSpRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherSpRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a> in <a
                            href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> that implement <a
                                href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                title="interface in org.apache.poi.ddf">EscherRecordFactory</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HSLFEscherRecordFactory.html"
                                    title="class in org.apache.poi.hslf.record">HSLFEscherRecordFactory</a></span></code>
                                <div class="block">Generates escher records when provided the byte array containing
                                    those records.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                title="interface in org.apache.poi.ddf">EscherRecordFactory</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherPlaceholder.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/EscherPlaceholder.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">HSLFEscherClientDataRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HSLFEscherClientDataRecord.html#fillFields-byte:A-int-org.apache.poi.ddf.EscherRecordFactory-">fillFields</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                   title="interface in org.apache.poi.ddf">EscherRecordFactory</a>&nbsp;recordFactory)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
               title="interface in org.apache.poi.ddf">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ddf/class-use/EscherRecordFactory.html" target="_top">Frames</a>
        </li>
        <li><a href="EscherRecordFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
